Bug 200601

Summary: www/chromium segfaults on accessing settings page
Product: Ports & Packages Reporter: protocelt <protoceltt>
Component: Individual Port(s)Assignee: freebsd-chromium mailing list <chromium>
Status: Closed FIXED    
Severity: Affects Some People CC: ch, ebay, emaste, freebsd, imre, miguelmclara, pete, rene, riggs, tingox+freebsd, tony
Priority: --- Flags: bugzilla: maintainer-feedback? (chromium)
Version: Latest   
Hardware: amd64   
OS: Any   
See Also: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=200618
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=200617
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=196770
Attachments:
Description Flags
Seems to fix this segfault for me
none
Poudriere tests for patch (snipped) none

Description protocelt 2015-06-02 19:17:21 UTC
Chromium 43 (both port revisions) crash on accessing the settings page. This happens on both very recent CURRENT and STABLE revisions. I tried to rebuild Chromium with debugging to get more info, but was unsuccessful.

>>> pkg info chromium
chromium-43.0.2357.81
Name           : chromium
Version        : 43.0.2357.81
Installed on   : Tue Jun  2 00:46:43 CDT 2015
Origin         : www/chromium
Architecture   : freebsd:11:x86:64
Prefix         : /usr/local
Categories     : www
Licenses       : MPL and LGPL21 and BSD3CLAUSE
Maintainer     : chromium@FreeBSD.org
WWW            : http://www.chromium.org/Home
Comment        : Google web browser based on WebKit
Options        :
        CODECS         : on
        DEBUG          : off
        GCONF          : on
        KERBEROS       : on
        PULSEAUDIO     : off
Shared Libs required:
        libxslt.so.1
        libxml2.so.2
        libwebpdemux.so.1
        libwebp.so.5
        libspeex.so.1
        libspeechd.so.2
        libsnappy.so.1
        libsmime3.so.1
        libre2.so.0
        libpng16.so.16
        libplds4.so.1
        libplc4.so.1
        libpangocairo-1.0.so.0
        libpango-1.0.so.0
        libnssutil3.so.1
        libnss3.so.1
        libnspr4.so.1
        libjpeg.so.8
        libicuuc.so.55
        libicui18n.so.55
        libharfbuzz.so.0
        libgtk-x11-2.0.so.0
        libgobject-2.0.so.0
        libgmodule-2.0.so.0
        libglib-2.0.so.0
        libgio-2.0.so.0
        libgdk_pixbuf-2.0.so.0
        libgdk-x11-2.0.so.0
        libgconf-2.so.4
        libfreetype.so.6
        libfontconfig.so.1
        libexpat.so.1
        libevent-2.0.so.5
        libdbus-1.so.3
        libcups.so.2
        libcairo.so.2
        libatk-1.0.so.0
        libasound.so.2
        libXtst.so.6
        libXss.so.1
        libXrender.so.1
        libXrandr.so.2
        libXi.so.6
        libXfixes.so.3
        libXext.so.6
        libXdamage.so.1
        libXcursor.so.1
        libXcomposite.so.1
        libX11.so.6
        libFLAC.so.8
Shared Libs provided:
        libffmpegsumo.so
Annotations    :
        cpe            : cpe:2.3:a:google:chrome:43.0.2357.81:::::freebsd11:x64
Flat size      : 143MiB
Description    :
Chromium is an open-source browser project that aims to build a safer,
faster, and more stable way for all users to experience the web.

The Chromium website contains design documents, architecture overviews,
testing information, and more to help you learn to build and work with
the Chromium source code.

WWW: http://www.chromium.org/Home
Comment 1 Torfinn Ingolfsen 2015-06-02 20:42:35 UTC
This bug also happens on FreeBSD 9.3-stable:
tingo@kg-core1$ uname -a
FreeBSD kg-core1.kg4.no 9.3-STABLE FreeBSD 9.3-STABLE #0 r273918: Fri Oct 31 22:52:44 CET 2014     root@kg-core1.kg4.no:/usr/obj/usr/src/sys/GENERIC  amd64
tingo@kg-core1$ tail -1 /var/log/messages
Jun  2 22:20:33 kg-core1 kernel: pid 31041 (chrome), uid 1001: exited on signal 11 (core dumped)

newest version of Chromium from ports:
root@kg-core1# portversion -v chromium
[Reading data from pkg(8) ... - 820 packages found - done]
chromium-43.0.2357.81       =  up-to-date with port 
gdb says:
tingo@kg-core1$ gdb -c ~/chrome.core
GNU gdb 6.1.1 [FreeBSD]
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "amd64-marcel-freebsd".
Core was generated by `chrome'.
Program terminated with signal 11, Segmentation fault.
#0  0x0000000002d303dc in ?? ()
(gdb) bt
#0  0x0000000002d303dc in ?? ()
#1  0x00007ffffe7f3c60 in ?? ()
#2  0x0000000000afd1a5 in ?? ()
#3  0x0000000000000000 in ?? ()
(gdb) 
(probably not helpful)
Comment 2 miguelmclara 2015-06-03 15:52:14 UTC
I just got the same issue on 11-CURRENT

mbols found)...(no debugging symbols found)...[New Thread 815598800 (LWP 101596/chrome)]
[2566:358187008:0603/164906:ERROR:video_capture_device_factory.cc(58)] Not implemented reached in static media::VideoCaptureDeviceFactory *media::VideoCaptureDeviceFactory::CreateVideoCaptureDeviceFactory(scoped_refptr<base::SingleThreadTaskRunner>)
[New Thread 815596800 (LWP 101588/chrome)]
[2566:358182912:0603/164906:ERROR:process_posix.cc(192)] Not implemented reached in bool (anonymous namespace)::WaitForExitWithTimeoutImpl(base::ProcessHandle, int *, base::TimeDelta)
[2576:356541440:0603/164907:ERROR:gles2_cmd_decoder.cc(11539)] [GroupMarkerNotSet(crbug.com/242999)!:A85A541508000000]GL ERROR :GL_INVALID_OPERATION : glTexStorage2DEXT: <- error from previous GL command
[2566:356541440:0603/164911:ERROR:navigation_entry_screenshot_manager.cc(151)] Invalid entry with unique id: 1
[2576:356541440:0603/164911:ERROR:gles2_cmd_decoder.cc(11539)] [GroupMarkerNotSet(crbug.com/242999)!:A8D8541508000000]GL ERROR :GL_INVALID_OPERATION : glTexStorage2DEXT: <- error from previous GL command
[2576:356541440:0603/164915:ERROR:gles2_cmd_decoder.cc(11539)] [GroupMarkerNotSet(crbug.com/242999)!:A860541508000000]GL ERROR :GL_INVALID_OPERATION : glTexStorage2DEXT: <- error from previous GL command
[New Thread 815599000 (LWP 101598/chrome)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 815599000 (LWP 101598/chrome)]
0x0000000002a1b29c in ChromeMain ()
(gdb) bt
#0  0x0000000002a1b29c in ChromeMain ()
#1  0x0000000000991146 in ChromeMain ()
#2  0x000000000094184f in ChromeMain ()
#3  0x0000000000941dba in ChromeMain ()
#4  0x00000000009438d9 in ChromeMain ()
#5  0x00000000009504f3 in ChromeMain ()
#6  0x00000000009410dd in ChromeMain ()
#7  0x0000000000975a0f in ChromeMain ()
#8  0x00000000009707b5 in ChromeMain ()
#9  0x000000080edee7e4 in pthread_create () from /lib/libthr.so.3
#10 0x0000000000000000 in ?? ()
Comment 3 Ed Maste freebsd_committer 2015-06-03 17:56:59 UTC
Yes, looks like the same issue I saw in 200618. When going to the settings page under the debugger I get the same or nearly same segfault:

(gdb) bt
#0  0x0000000006a2e319 in base::internal::RunnableAdapter<void (media::VideoCaptureDeviceFactory::*)(base::Callback<void (scoped_ptr<std::__1::list<media::VideoCaptureDevice::Name, std::__1::allocator<media::VideoCaptureDevice::Name> >, base::DefaultDeleter<std::__1::list<media::VideoCaptureDevice::Name, std::__1::allocator<media::VideoCaptureDevice::Name> > > >)> const&)>::Run(media::VideoCaptureDeviceFactory*, base::Callback<void (scoped_ptr<std::__1::list<media::VideoCaptureDevice::Name, std::__1::allocator<media::VideoCaptureDevice::Name> >, base::DefaultDeleter<std::__1::list<media::VideoCaptureDevice::Name, std::__1::allocator<media::VideoCaptureDevice::Name> > > >)> const&) (this=0x7fffdebf3390, object=0x0, 
    args=...) at ../../base/bind_internal.h:176
#1  0x0000000006a2e214 in base::internal::InvokeHelper<false, void, base::internal::RunnableAdapter<void (media::VideoCaptureDeviceFactory::*)(base::Callback<void (scoped_ptr<std::__1::list<media::VideoCaptureDevice::Name, std::__1::allocator<media::VideoCaptureDevice::Name> >, base::DefaultDeleter<std::__1::list<media::VideoCaptureDevice::Name, std::__1::allocator<media::VideoCaptureDevice::Name> > > >)> const&)>, base::internal::TypeList<media::VideoCaptureDeviceFactory*, base::Callback<void (scoped_ptr<std::__1::list<media::VideoCaptureDevice::Name, std::__1::allocator<media::VideoCaptureDevice::Name> >, base::DefaultDeleter<std::__1::list<media::VideoCaptureDevice::Name, std::__1::allocator<media::VideoCaptureDevice::Name> > > >)> const&> >::MakeItSo(base::internal::RunnableAdapter<void (media::VideoCaptureDeviceFactory::*)(base::Callback<void (scoped_ptr<std::__1::list<media::VideoCaptureDevice::Name, std::__1::allocator<media::VideoCaptureDevice::Name> >, base::DefaultDeleter<std::__1::list<media::VideoCaptureDevice::Name, std::__1::allocator<media::VideoCaptureDevice::Name> > > >)> const&)>, media::VideoCaptureDeviceFactory*, base::Callback<void (scoped_ptr<std::__1::list<media::VideoCaptureDevice::Name, std::__1::allocator<media::VideoCaptureDevice::Name> >, base::DefaultDeleter<std::__1::list<media::VideoCaptureDevice::Name, std::__1::allocator<media::VideoCaptureDevice::Name> > > >)> const&) (runnable=..., args=..., args=...)
    at ../../base/bind_internal.h:293
#2  0x0000000006a2e1c1 in base::internal::Invoker<IndexSequence<0ul, 1ul>, base::internal::BindState<base::internal::RunnableAdapter<void (media::VideoCaptureDeviceFactory::*)(base::Callback<void (scoped_ptr<std::__1::list<media::VideoCaptureDevice::Name, std::__1::allocator<media::VideoCaptureDevice::Name> >, base::DefaultDeleter<std::__1::list<media::VideoCaptureDevice::Name, std::__1::allocator<media::VideoCaptureDevice::Name> > > >)> const&)>, void (media::VideoCaptureDeviceFactory*, base::Callback<void (scoped_ptr<std::__1::list<media::VideoCaptureDevice::Name, std::__1::allocator<media::VideoCaptureDevice::Name> >, base::DefaultDeleter<std::__1::list<media::VideoCaptureDevice::Name, std::__1::allocator<media::VideoCaptureDevice::Name> > > >)> const&), base::internal::TypeList<base::internal::UnretainedWrapper<media::VideoCaptureDeviceFactory>, base::Callback<void (scoped_ptr<std::__1::list<media::VideoCaptureDevice::Name, std::__1::allocator<media::VideoCaptureDevice::Name> >, base::DefaultDeleter<std::__1::list<media::VideoCaptureDevice::Name, std::__1::allocator<media::VideoCaptureDevice::Name> > > >)> > >, base::internal::TypeList<base::internal::UnwrapTraits<base::internal::UnretainedWrapper<media::VideoCaptureDeviceFactory> >, base::internal::UnwrapTraits<base::Callback<void (scoped_ptr<std::__1::list<media::VideoCaptureDevice::Name, std::__1::allocator<media::VideoCaptureDevice::Name> >, base::DefaultDeleter<std::__1::list<media::VideoCaptureDevice::Name, std::__1::allocator<media::VideoCaptureDevice::Name> > > >)> > >, base::internal::InvokeHelper<false, void, base::internal::RunnableAdapter<void (media::VideoCaptureDeviceFactory::*)(base::Callback<void (scoped_ptr<std::__1::list<media::VideoCaptureDevice::Name, std::__1::allocator<media::VideoCaptureDevice::Name> >, base::DefaultDeleter<std::__1::list<media::VideoCaptureDevice::Name, std::__1::allocator<media::VideoCaptureDevice::Name> > > >)> const&)>, base::internal::TypeList<media::VideoCaptureDeviceFactory*, base::Callback<void (scoped_ptr<std::__1::list<media::VideoCaptureDevice::Name, std::__1::allocator<media::VideoCaptureDevice::Name> >, base::DefaultDeleter<std::__1::list<media::VideoCaptureDevice::Name, std::__1::allocator<media::VideoCaptureDevice::Name> > > >)> const&> >, void ()>::Run(base::internal::BindStateBase*) (base=0x82b742580)
    at ../../base/bind_internal.h:343
#3  0x0000000000581c2e in base::Callback<void ()>::Run() const (this=0x7fffdebf37d8) at ../../base/callback.h:396
#4  0x0000000001a18d5a in base::debug::TaskAnnotator::RunTask (this=0x82400f260, queue_function=0xc755c0a "MessageLoop::PostTask", run_function=0xc755c20 "MessageLoop::RunTask", 
    pending_task=...) at ../../base/debug/task_annotator.cc:63
#5  0x00000000018d8d1e in base::MessageLoop::RunTask (this=0x82400f140, pending_task=...) at ../../base/message_loop/message_loop.cc:444
#6  0x00000000018d8e5b in base::MessageLoop::DeferOrRunPendingTask (this=0x82400f140, pending_task=...) at ../../base/message_loop/message_loop.cc:454
#7  0x00000000018d9483 in base::MessageLoop::DoWork (this=0x82400f140) at ../../base/message_loop/message_loop.cc:566
#8  0x00000000018e7c71 in base::MessagePumpDefault::Run (this=0x82401b040, delegate=0x82400f140) at ../../base/message_loop/message_pump_default.cc:32
#9  0x00000000018d87c0 in base::MessageLoop::RunHandler (this=0x82400f140) at ../../base/message_loop/message_loop.cc:410
#10 0x000000000191d674 in base::RunLoop::Run (this=0x7fffdebf3c10) at ../../base/run_loop.cc:55
#11 0x00000000018d8061 in base::MessageLoop::Run (this=0x82400f140) at ../../base/message_loop/message_loop.cc:303
#12 0x00000000019aabc9 in base::Thread::Run (this=0x81f456ec0, message_loop=0x82400f140) at ../../base/threading/thread.cc:185
#13 0x00000000019aaff2 in base::Thread::ThreadMain (this=0x81f456ec0) at ../../base/threading/thread.cc:239
#14 0x0000000001996cff in base::(anonymous namespace)::ThreadFunc (params=0x7fffffffca50) at ../../base/threading/platform_thread_posix.cc:77
#15 0x0000000819c777c5 in thread_start (curthread=0x81f580800) at /tank/emaste/src/git-stable-10/lib/libthr/thread/thr_create.c:288
#16 0x0000000000000000 in ?? ()
Backtrace stopped: Cannot access memory at address 0x7fffdebf4000
Comment 4 Ed Maste freebsd_committer 2015-06-03 17:57:40 UTC
*** Bug 200618 has been marked as a duplicate of this bug. ***
Comment 5 Ed Maste freebsd_committer 2015-06-03 17:58:58 UTC
I would like to remove BROKEN= from the port's Makefile -- see https://reviews.freebsd.org/D2726
Comment 6 Tony Narlock 2015-06-06 09:41:15 UTC
FreeBSD Forum post: https://forums.freebsd.org/threads/chromium-43-0-2357-65-crashing-in-settings.51838/

I do note the broken package (going to see if that's still an issue or not) prevented me from looking compile with debug mode to get traceback. Going to try to work around it and give a traceback for 10.1-STABLE.
Comment 7 Thomas Zander freebsd_committer 2015-06-08 17:40:03 UTC
That's a "me too".

The settings page crashes it reliably before anything can even by displayed.
Also reliable crashes by accessing most of Google products, incl. gmail, google+, drive. Interestingly enough, google play music works with no apparent problem.
All extensions were disabled, the entire .cache/chromium dir removed.

Anything I an do to help tracking it down?
Comment 8 Torfinn Ingolfsen 2015-06-12 22:10:01 UTC
Chromium 43.0.2357.124 - the problem still persists:
root@kg-core1# portversion -v chromium
[Reading data from pkg(8) ... - 823 packages found - done]
chromium-43.0.2357.124      =  up-to-date with port 

root@kg-core1# uname -a
FreeBSD kg-core1.kg4.no 9.3-STABLE FreeBSD 9.3-STABLE #0 r273918: Fri Oct 31 22:52:44 CET 2014     root@kg-core1.kg4.no:/usr/obj/usr/src/sys/GENERIC  amd64

gdb:
tingo@kg-core1$ gdb -c ./chrome.core
GNU gdb 6.1.1 [FreeBSD]
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "amd64-marcel-freebsd".
Core was generated by `chrome'.
Program terminated with signal 11, Segmentation fault.
#0  0x0000000002d2fdbc in ?? ()
(gdb) bt
#0  0x0000000002d2fdbc in ?? ()
#1  0x00007ffffe7f3c60 in ?? ()
#2  0x0000000000afd1a5 in ?? ()
#3  0x0000000000000000 in ?? ()
(gdb) quit
Comment 9 Thomas Zander freebsd_committer 2015-06-13 10:08:27 UTC
Issue confirmed with this one:
chromium-43.0.2357.125
Name           : chromium
Version        : 43.0.2357.125
Installed on   : Sat Jun 13 11:22:31 CEST 2015
Origin         : www/chromium
Architecture   : freebsd:10:x86:64
Prefix         : /usr/local
Categories     : www
Licenses       : MPL and LGPL21 and BSD3CLAUSE
Maintainer     : chromium@FreeBSD.org
WWW            : http://www.chromium.org/Home
Comment        : Google web browser based on WebKit
Options        :
	CODECS         : on
	DEBUG          : off
	GCONF          : on
	KERBEROS       : on
	PULSEAUDIO     : off
	TEST           : off
Comment 10 Tony Narlock 2015-06-14 00:43:24 UTC
bug #196770 is preventing us from building with debugging. How are we going to give useful reports without that?

Should Bug 196770 be a dependency?
Comment 11 pete 2015-06-15 16:40:09 UTC
(In reply to Tony Narlock from comment #10)
I am able to get a debug build using the following commands:

$ cd /usr/ports/www/chromium/
$ sudo make WITH_DEBUG=yes MAKE_JOBS_UNSAFE=yes

I can supply full backtraces if needed in this ticket - although please see Comment 2 in this ticket:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=200510#c2

I will watch this ticket if more debugging is needed as I can reproduce this default at will.
Comment 12 Tony Narlock 2015-06-16 05:47:33 UTC
(In reply to pete from comment #11)

Thank you.  It would be helpful to provide a stack trace, I suppose, since I'm not having luck thus far getting a debug build to work.

I was able to build successfully with debug (I had to reconfigure /etc/make.conf, which was using (before):

# Build ports against security/libressl
WITH_OPENSSL_PORT=      yes
OPENSSL_PORT=           security/libressl


now:

# Build ports against security/libressl
#WITH_OPENSSL_PORT=      yes
#OPENSSL_PORT=           security/libressl
WITH_OPENSSL_BASE=yes


After that "make clean" and "make WITH_DEBUG=yes MAKE_JOBS_UNSAFE=yes" as above, it built! However, the executable will won't run for me.

$ chrome
/usr/local/bin/chrome: /usr/local/share/chromium/chrome: Exec format error

Here is my output of "work/stage/usr/local/share/chromium/chrome-wrapper --gdb" (from https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=200510#c2)

chromium  work/stage/usr/local/share/chromium/chrome-wrapper --gdbGNU gdb 6.1.1 [FreeBSD]Copyright 2004 Free Software Foundation, Inc.GDB is free software, covered by the GNU General Public License, and you arewelcome to change it and/or distribute copies of it under certain conditions.Type "show copying" to see the conditions.There is absolutely no warranty for GDB.  Type "show warranty" for details.This GDB was configured as "amd64-marcel-freebsd"...(gdb) runStarting program: /usr/ports/www/chromium/work/stage/usr/local/share/chromium/chrome 


Do you have any other /etc/make.conf or /etc/src.conf info you (or anyone) can provide? I'm new to the build system, so I don't even know if a "make buildworld" would be required after me turning "WITH_OPENSSL_BASE" back on.
Comment 13 pete 2015-06-16 23:24:15 UTC
(In reply to Tony Narlock from comment #12)
Hey, so I the only way I've been able to get a build of chromium to build with useable debug symbols is to pass the WITH_DEBUG=yes flag passed to my make.  So, in /usr/ports/www/chromium I just run the following:

$ make WITH_DEBUG=yes

then I am able to run chromium inside gdb and generate full backtraces.  Hope this helps!
Comment 14 Tony Narlock 2015-06-17 01:24:11 UTC
(In reply to pete from comment #13)
Greetings.

Thank you for getting back, so I have given this multiple tries. Perhaps there are configurations in my build environment that could be of issue?

chromium-43.0.2356.125 is the version I'm building with. On FreeBSD 10.1.

See bug #196770 for more issues building with debug symbols.
Comment 15 pete 2015-06-17 02:43:57 UTC
(In reply to Tony Narlock from comment #14)
Ah - right, I get the same error when I enable the DEBUG configuration option.  Resetting the configuration options to default settings, then rebuilding with those CLI switches does result in a proper build.  Thanks for reminding me of that important step!

FWIW - I also found that enabling tests currently fails as well.
Comment 16 Tony Narlock 2015-06-17 05:51:10 UTC
Who *isn't* crashing on Chromium with settings?

I've asked in #freebsd, and other people are having the same issue too.

The seriousness of the issue should be elevated.
Comment 17 Tony Narlock 2015-06-20 00:36:02 UTC
chromium-42.0.2311.135 works.  You can run "portdowngrade www/chromium 385240" to get that.  Note this version has security vulnerabilities.

However r387371 chromium-430.2357.65 will crash on settings.
Comment 18 Tony Narlock 2015-06-20 00:36:44 UTC
(In reply to Tony Narlock from comment #17)
Correction that is chromium-43.2357.65
Comment 19 imre 2015-06-20 19:24:42 UTC
Created attachment 157899 [details]
Seems to fix this segfault for me

Taking these patches for the media/video/capture directory from OpenBSD ports fixed this segfault for me.
Comment 20 ebay 2015-06-20 23:01:14 UTC
I can confirm the patches in attachment 157899 [details] fix the Settings crash for me. I'll start using it as my normal browser and see how things go.
Comment 21 Carsten Heesch 2015-06-21 01:21:35 UTC
And another confirmation that the patch fixed the settings page for chromium-43.0.2357.125 on 10.1-STABLE.
Comment 22 pete 2015-06-21 04:33:15 UTC
(In reply to Carsten Heesch from comment #21)
+1 from me as well.  

this also addresses the crash when loading gmail in this PR:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=200510
Comment 23 Tony Narlock 2015-06-21 06:52:38 UTC
Created attachment 157916 [details]
Poudriere tests for patch (snipped)

Attached poudriere test output for attachment #157899 [details].
Comment 24 Torfinn Ingolfsen 2015-06-21 18:32:29 UTC
patches in attachment 157899 [details] fix the crash on accessing settings page, also on 
tingo@kg-core1$ uname -a
FreeBSD kg-core1.kg4.no 9.3-STABLE FreeBSD 9.3-STABLE #0 r273918: Fri Oct 31 22:52:44 CET 2014     root@kg-core1.kg4.no:/usr/obj/usr/src/sys/GENERIC  amd64

root@kg-core1# portversion -v chromium*
[Reading data from pkg(8) ... - 825 packages found - done]
chromium-43.0.2357.124      =  up-to-date with port 

HTH
Comment 25 Thomas Zander freebsd_committer 2015-06-22 12:52:51 UTC
Patch in attachment 157899 [details] fixes the crash in settings dialog as well as crashes on google services pages (Gmail, Drive, ...) presumably attempting to access the same functionality.

Please commit this until there is a better solution (if one exists).
Comment 26 Rene Ladan freebsd_committer 2015-06-26 21:47:36 UTC
I'll commit this patch together with these other pull requests on GitHub:
https://github.com/gliaskos/freebsd-chromium/pull/17 (same as this PR)
https://github.com/gliaskos/freebsd-chromium/pull/18 (fix segfault when stopping chromium)
https://github.com/gliaskos/freebsd-chromium/pull/19 (fix sysctlbyname() usage)
https://github.com/gliaskos/freebsd-chromium/pull/20 (adapt CurrentProcessInfo::CreationTime)
Comment 27 commit-hook freebsd_committer 2015-06-26 23:15:06 UTC
A commit references this bug:

Author: rene
Date: Fri Jun 26 23:14:07 UTC 2015
New revision: 390673
URL: https://svnweb.freebsd.org/changeset/ports/390673

Log:
  www/chromium : update to 43.0.2357.130

  * Fix some widely-reported crashes: [0,1]
    - settings page now displays
    - GMail works
  * Mark BROKEN on FreeBSD 8 [2]

  PR:		200601 [0]
  PR:		200646 [2]
  Submitted by:	protocelt <protoceltt@gmail.com> [0]
  Submitted by:	truckman [2]
  Obtained from:	https://github.com/gliaskos/freebsd-chromium [1]
  		(pull requests 17-20)
  MFH:		2015Q2
  Security:	http://vuxml.freebsd.org/freebsd/d46ed7b8-1912-11e5-9fdf-00262d5ed8ee.html

Changes:
  head/www/chromium/Makefile
  head/www/chromium/distinfo
  head/www/chromium/files/patch-base__process__process_info_linux.cc
  head/www/chromium/files/patch-content__browser__time_zone_monitor_linux.cc
  head/www/chromium/files/patch-media__video__capture__fake_video_capture_device_factory.cc
  head/www/chromium/files/patch-media__video__capture__file_video_capture_device_factory.cc
  head/www/chromium/files/patch-media__video__capture__video_capture_device.cc
  head/www/chromium/files/patch-media__video__capture__video_capture_device.h
  head/www/chromium/files/patch-media__video__capture__video_capture_device_factory.cc
  head/www/chromium/files/patch-third_party__webrtc__base__systeminfo.cc
Comment 28 commit-hook freebsd_committer 2015-06-26 23:26:12 UTC
A commit references this bug:

Author: rene
Date: Fri Jun 26 23:26:05 UTC 2015
New revision: 390677
URL: https://svnweb.freebsd.org/changeset/ports/390677

Log:
  MFH: r390673

  www/chromium : update to 43.0.2357.130

  * Fix some widely-reported crashes: [0,1]
    - settings page now displays
    - GMail works
  * Mark BROKEN on FreeBSD 8 [2]

  PR:		200601 [0]
  PR:		200646 [2]
  Submitted by:	protocelt <protoceltt@gmail.com> [0]
  Submitted by:	truckman [2]
  Obtained from:	https://github.com/gliaskos/freebsd-chromium [1]
  		(pull requests 17-20)
  Security:	http://vuxml.freebsd.org/freebsd/d46ed7b8-1912-11e5-9fdf-00262d5ed8ee.html
  Approved by:	ports-secteam (delphij)

Changes:
_U  branches/2015Q2/
  branches/2015Q2/www/chromium/Makefile
  branches/2015Q2/www/chromium/distinfo
  branches/2015Q2/www/chromium/files/patch-base__process__process_info_linux.cc
  branches/2015Q2/www/chromium/files/patch-content__browser__time_zone_monitor_linux.cc
  branches/2015Q2/www/chromium/files/patch-media__video__capture__fake_video_capture_device_factory.cc
  branches/2015Q2/www/chromium/files/patch-media__video__capture__file_video_capture_device_factory.cc
  branches/2015Q2/www/chromium/files/patch-media__video__capture__video_capture_device.cc
  branches/2015Q2/www/chromium/files/patch-media__video__capture__video_capture_device.h
  branches/2015Q2/www/chromium/files/patch-media__video__capture__video_capture_device_factory.cc
  branches/2015Q2/www/chromium/files/patch-third_party__webrtc__base__systeminfo.cc